import 'package:collection/collection.dart';

abstract class ValidationRule {
  final String validationError;

  ValidationRule([this.validationError = ""]);

  bool check(String? value);
}

extension ValidationExtension on List<ValidationRule> {
  String? getValidationErrorMessage(String? value) =>
      firstWhereOrNull((element) => !element.check(value))?.validationError;

  String? getValidationErrorMessages(String? value) =>
      where((element) => !element.check(value)).fold(null, (previousValue, element) => previousValue! + "\n" + element.validationError);
}
